package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bop;
import com.brilliance.isc.bo.bopdecbo.Dba;
import com.brilliance.isc.bo.bopdecbo.Upllog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BopMapper {
    int insert(Bop record);

    int insertSelective(Bop record);

    int updateByPrimaryKeySelective(Bop record);

    int updateByPrimaryKey(Bop record);

    int deleteByPrimaryKey(Bop record);

    int deleteByIds(Collection<Object> collection);

    Dba selectByPrimaryKey(Bop record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Bop> dyncRead(Map<String,Object> dyncMap);

    List<Bop> selectByConditions(Bop bop);

    List<Upllog> selectUpllogByFilnam(@Param("filnam") String filnam);

}
